Name: pam_mysql
Summary: PAM MySql authentication module
Version: 0.6.0
Release: 1
License: GPL
Group: System/Libraries
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/build-root-%{name}
Packager: Anna Langley <jal58@cam.ac.uk>
Distribution: SuSE
Url: http://pam-mysql.sourceforge.net
Provides: pam_mysql
Vendor: CUED


%description
Allows authentication from a MySQL database.

%prep
rm -rf $RPM_BUILD_ROOT 
mkdir $RPM_BUILD_ROOT

%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure
make -j 2

%install
make DESTDIR=$RPM_BUILD_ROOT install-strip
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/packages/pam_mysql
cp README $RPM_BUILD_ROOT/usr/share/doc/packages/pam_mysql/

%clean
rm -rf $RPM_BUILD_ROOT

%files
/lib/security/pam_mysql.la
/lib/security/pam_mysql.so
/usr/share/doc/packages/pam_mysql/
%defattr(-,root,root,0755)
